%define	LCName		veracrypt

Summary:	Disk encryption software 
Name:		VeraCrypt
Version:	1.25.9
Release:	alt2
License:	%asl
Group:		File tools
URL:		https://www.veracrypt.fr/
Source0:	https://github.com/veracrypt/VeraCrypt/archive/%{name}_%{version}.tar.gz
BuildRequires:	rpm-build-licenses
BuildRequires:	libwxGTK3.0-devel
BuildRequires:	nasm
BuildRequires:	yasm
BuildRequires:	libyasm-devel
BuildRequires:	libfuse-devel
BuildRequires:	ghostscript
BuildRequires:	ImageMagick
BuildRequires:	gcc-c++
Provides:	veracrypt = %{version}

%description
Free disk encryption software based on TrueCrypt.

%prep
%setup -qn %{name}_%{version}
#sed -i 's|dumpversion|dumpfullversion|' src/Makefile

%build
pushd src
make WX_CONFIG=wx-config-3.0 || echo 0
popd

pushd src/Resources/Icons
for r in 16 48 256
do
	convert %{name}-${r}x${r}.xpm %{name}-${r}x${r}.png
done
popd

rm -f src/Setup/Linux/usr/bin/veracrypt-uninstall.sh

%install
cd src
%makeinstall_std

for r in 16 48 256
do
	install -Dm 0644 Resources/Icons/%{name}-${r}x${r}.png %{buildroot}%{_iconsdir}/hicolor/${r}x${r}/apps/%{name}.png
done

%files
%_bindir/*
%_sbindir/*
%_docdir/%{LCName}
%_datadir/mime
%_datadir/%{LCName}
%_desktopdir/*
%_datadir/pixmaps/*
%_iconsdir/hicolor/*/apps/*

%changelog
* Mon Apr 18 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 1.25.9-alt2
- First ALT build
